using KlassenBIB;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SanSystem
{
    /// <summary>
    /// 
    /// </summary>
    public partial class FrmReparaturKonzept : Form
    {
        Sanierungskonzept konzept = null;
        /// <summary>
        /// 
        /// </summary>
        /// <param name="konzept"></param>
        public FrmReparaturKonzept(Sanierungskonzept konzept)
        {
            InitializeComponent();
            this.konzept = konzept != null ? konzept : new Sanierungskonzept();
        }

        private void FrmRepaturKonzept_Load(object sender, EventArgs e)
        {
            txt_anweisung.DataBindings.Add(new Binding("text", konzept, "Anweisung"));
        }

        private void FrmRepaturKonzept_FormClosing(object sender, FormClosingEventArgs e)
        {
            txt_anweisung.DataBindings.Clear();
        }

        private void btn_add_san_Click(object sender, EventArgs e)
        {
            int mod = (int)Sanierungsarten.KURZLINER ^ (int)Sanierungsarten.QUICKLOCK ^ (int)Sanierungsarten.HUTPROFIL;
            FrmSelectNewSan frmSelectNewSan = new FrmSelectNewSan(mod);

            frmSelectNewSan.AddKurzlinerClicked += FrmSelectNewSan_AddKurzlinerClicked;
            frmSelectNewSan.AddHutprofilClicked += FrmSelectNewSan_AddHutprofilClicked;
            frmSelectNewSan.AddQuicklockClicked += FrmSelectNewSan_AddQuicklockClicked;
            try
            {
                frmSelectNewSan.ShowDialog();
            }
            catch(NotImplementedException ex)
            {
                MessageBox.Show(string.Format("{0} Sanierung wurde noch nicht implementiert",ex.Message));
            }
        }

        private void FrmSelectNewSan_AddQuicklockClicked(object sender, EventArgs e)
        {
            throw new NotImplementedException("Quicklock");
        }

        private void FrmSelectNewSan_AddHutprofilClicked(object sender, EventArgs e)
        {
            throw new NotImplementedException("Hutprofil");
        }

        private void FrmSelectNewSan_AddKurzlinerClicked(object sender, EventArgs e)
        {
            throw new NotImplementedException("Kurzliner");
        }
    }
}
